/* interface.h */



typedef enum {
        STATUS_FLASH = 0,
        STATUS_MOVES,
        STATUS_SOLVED,
        STATUS_CLEAR
} StatusMsgType;


typedef enum {
        KEY_UP = 0,
        KEY_DN,
        KEY_LT,
        KEY_RT
} KeyID;


void create_app (void);
void set_status (StatusMsgType msgtype, const gchar *msg);
void file_error_dialog (const gchar *fname, GtkMessageType type);

