/* prefs.h */



#define IMG_ID_CUSTOM  0
#define IMG_ID_DEFAULT 2


typedef struct _ImgFile ImgFile;
struct _ImgFile {
        gchar *fname;
        gchar *title;
        gint  size;   /* 0 for "any size", else 3, 4 or 5 */
};


typedef enum {
        OVERLAY_BLACK = 0,
        OVERLAY_WHITE,
        OVERLAY_NONE
} Overlay;


void prefs_init (gint argc, gchar **argv);
void prefs_free (void);
void prefs_set_image (gchar *fname);
void prefs_set_image_id (gint id);
void create_prefs_dialog (void);

